Skip to main content
GET
/
api
/
v3
/
admin
/
orders
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const order = await client.orders.get('or_UkLWZg9DAJ', {
  expand: ['items', 'fulfillments', 'payments', 'customer'],
})
{
  "id": "or_UkLWZg9DAJ",
  "market_id": null,
  "channel_id": "ch_UkLWZg9DAJ",
  "number": "R107305096",
  "email": "lawanda.goodwin@schulist.info",
  "customer_note": null,
  "currency": "USD",
  "locale": "en",
  "total_quantity": 0,
  "item_total": "0.0",
  "display_item_total": "$0.00",
  "adjustment_total": "0.0",
  "display_adjustment_total": "$0.00",
  "discount_total": "0.0",
  "display_discount_total": "$0.00",
  "tax_total": "0.0",
  "display_tax_total": "$0.00",
  "included_tax_total": "0.0",
  "display_included_tax_total": "$0.00",
  "additional_tax_total": "0.0",
  "display_additional_tax_total": "$0.00",
  "total": "0.0",
  "display_total": "$0.00",
  "gift_card_total": "0.0",
  "display_gift_card_total": "$0.00",
  "amount_due": "0.0",
  "display_amount_due": "$0.00",
  "delivery_total": "0.0",
  "display_delivery_total": "$0.00",
  "fulfillment_status": null,
  "payment_status": null,
  "completed_at": null,
  "store_credit_total": "0.0",
  "display_store_credit_total": "$0.00",
  "covered_by_store_credit": false,
  "gift_card": null,
  "market": null,
  "status": "draft",
  "last_ip_address": null,
  "considered_risky": false,
  "confirmation_delivered": false,
  "store_owner_notification_delivered": null,
  "payment_total": "0.0",
  "display_payment_total": "$0.00",
  "metadata": {},
  "canceled_at": null,
  "approved_at": null,
  "created_at": "2026-05-21T18:11:25.951Z",
  "updated_at": "2026-05-21T18:11:25.951Z",
  "preferred_stock_location_id": null,
  "tags": [],
  "internal_note": null,
  "approver_id": null,
  "canceler_id": null,
  "created_by_id": null,
  "customer_id": "cus_UkLWZg9DAJ"
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Order ID (e.g., or_xxx)

Query Parameters

expand
string

Comma-separated associations to expand (e.g., items, fulfillments, payments, customer, discounts, billing_address, shipping_address). Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., number,total,status,completed_at). id is always included.

Response

order found